Bug 122394 - spec file has incorrect regex
spec file has incorrect regex
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cyrus-imapd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-03 19:32 EDT by Blair Zajac
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-10 14:37:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Blair Zajac 2004-05-03 19:32:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.1.4322)

Description of problem:
In this part of the spec file:

echo "Patching RPATH..."
for i in `find . -type f`; do perl -pi -
e 's,/usr/local/bin/perl*,/usr/bin/perl,g;s/"-Wl,-rpath,.+"/""/;s/-
Wl,-rpath,[^ ]+ //;s/"-Wl,-rpath,"/"-L"/' $i ; done
set -x

The regex for finding all /usr/local/bin/perl's is incorrect.  The
perl* means in Perl's regex's, match any number of l's, not match
anything past the l.

It should really be somethink like

's,/usr/local/bin/perl\S*

Best,
Blair


Version-Release number of selected component (if applicable):
2.2.3-8

How reproducible:
Always

Steps to Reproduce:
1. 1
2. 2
3.3 
    

Additional info:
Comment 1 Blair Zajac 2004-05-03 20:11:48 EDT
Put in test3 per Fedora web page instructions.

Blair
Comment 2 John Dennis 2005-02-10 14:37:56 EST
This is no longer present in the spec file, closing ...

Note You need to log in before you can comment on or make changes to this bug.